---
title: HTMLSelectElement.item()
slug: Web/API/HTMLSelectElement/item
tags:
  - API
  - HTML DOM
  - HTMLSelectElement
  - Method
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <code><strong>HTMLSelectElement.item()</strong></code> method returns the {{domxref("Element")}} corresponding to the {{domxref("HTMLOptionElement")}} whose position in the options list corresponds to the index given in the parameter, or <code>null</code> if there are none.</p>

<p>In JavaScript, using the array bracket syntax with an <code>unsigned long</code>, like <code><em>selectElt</em>[<em>index</em>]</code> is equivalent to <code><em>selectElt</em></code><code>.namedItem(<em>index</em>)</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>item</em> = <em>collection</em>.item(<em>index</em>);
var <em>item </em>=<em> collection</em>[<em>index</em>];
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>index</code> is an <code>unsigned long</code>.</li>
</ul>

<h3 id="Return_value">Return value</h3>

<ul>
 <li><code>item</code> is a {{domxref("HTMLOptionElement")}}.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush:html notranslate">&lt;form&gt;
  &lt;select id="myFormControl"&gt;
    &lt;option id="o1"&gt;Opt 1&lt;/option&gt;
    &lt;option id="o2"&gt;Opt 2&lt;/option&gt;
  &lt;/select&gt;
&lt;/form&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush:css notranslate">// Returns the HTMLOptionElement representing #o2
elem1 = document.forms[0]['myFormControl'][1];
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-select-item", "HTMLSelectElement.item()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change since the latest snapshot, {{SpecName('HTML5 W3C')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "forms.html#dom-select-item", "HTMLSelectElement.item()")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition, snapshot of {{SpecName('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLSelectElement.item")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLSelectElement")}} that implements it.</li>
</ul>
